Postgres
Skitflow API reference for Postgres endpoints.
Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.create" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "appName": "string", "databaseName": "string", "databaseUser": "string", "databasePassword": "string", "projectId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/postgres.one?postgresId=string"{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.start" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.stop" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.saveExternalPort" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string", "externalPort": 0 }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.deploy" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.changeStatus" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string", "applicationStatus": "idle" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.remove" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.saveEnvironment" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.reload" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string", "appName": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/postgres.update" \ -H "Content-Type: application/json" \ -d '{ "postgresId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}